using UnityEngine;

public abstract class Tool : MonoBehaviour
{

    [Header("Base Tool Parameters")]
    public float useTimeSec;
    public float altUseTimeSec;
    public bool inUse;

    // primary (left click)
    public abstract void Use();

    // secondary (right click)
    public abstract void UseAlt();
}
